Skip to main content
GET
/
api
/
v1
/
chargebacks
cURL
curl --request GET \
  --url https://vpos.payven.com.tr/api/v1/chargebacks \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "amount": 123,
        "currency": "<string>",
        "reason": "<string>",
        "reasonCode": "<string>",
        "bankReferenceNo": "<string>",
        "status": "<string>",
        "responseDeadline": "2023-11-07T05:31:56Z",
        "resolvedAt": "2023-11-07T05:31:56Z",
        "merchantResponse": "<string>",
        "notes": "<string>",
        "created": "2023-11-07T05:31:56Z",
        "merchantName": "<string>",
        "maskedCardNumber": "<string>",
        "transactionAmount": 123
      }
    ],
    "pageNumber": 123,
    "totalPages": 123,
    "totalCount": 123,
    "hasPreviousPage": true,
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

Page
integer<int32>
PageSize
integer<int32>
Status
enum<integer>
Available options:
Opened,
Disputed,
Won,
Lost
TransactionId
string<uuid>
StartDate
string<date-time>
EndDate
string<date-time>

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object